com.trendmicro.ds.appcontrol.rest.object.drift

## Class ListApplicationDriftResponse.Item

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.drift.ListApplicationDriftResponse.Item

- All Implemented Interfaces:
    java.lang.Comparable<ListApplicationDriftResponse.Item>
  Enclosing class:
    ListApplicationDriftResponse

      public static class ListApplicationDriftResponse.Item
      extends java.lang.Object
      implements java.lang.Comparable<ListApplicationDriftResponse.Item>

  A list item, i.e. an application or a group of applications with the same sha256.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Item()`
    `Item(java.lang.String sha256, java.util.Set<java.lang.String> fileNames, long count)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileName(java.lang.String fileName, long numInstances)`
    `int` | `compareTo(ListApplicationDriftResponse.Item o)`
    `long` | `getCount()` The number of times this item appears within the limits of the query.
    `java.util.Set<java.lang.String>` | `getFileNames()` The file names that the item appears as within the limits of the query.
    `java.lang.String` | `getSha256()` The sha256 of the item.
    `void` | `setCount(long count)`
    `void` | `setFileNames(java.util.Set<java.lang.String> fileNames)`
    `void` | `setSha256(java.lang.String sha256)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Item

          public Item()

    - #### Item

          public Item(java.lang.String sha256,
                      java.util.Set<java.lang.String> fileNames,
                      long count)

  - ### Method Detail

    - #### getSha256

          public java.lang.String getSha256()

      The sha256 of the item.
      Returns:

    - #### setSha256

          public void setSha256(java.lang.String sha256)

    - #### getFileNames

          public java.util.Set<java.lang.String> getFileNames()

      The file names that the item appears as within the limits of the query.
      Returns:

    - #### setFileNames

          public void setFileNames(java.util.Set<java.lang.String> fileNames)

    - #### getCount

          public long getCount()

      The number of times this item appears within the limits of the query.
      Returns:

    - #### setCount

          public void setCount(long count)

    - #### addFileName

          public void addFileName(java.lang.String fileName,
                                  long numInstances)

    - #### compareTo

          public int compareTo(ListApplicationDriftResponse.Item o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ListApplicationDriftResponse.Item>`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.